package java.util;

import sun.util.ResourceBundleEnumeration;
import java.io.Reader;
import java.io.IOException;
import java.io.InputStream;

public class PropertyResourceBundle extends ResourceBundle
{
    private Map<String, Object> lookup;
    
    public PropertyResourceBundle(InputStream inputStream) throws IOException {
        Properties properties = new Properties();
        properties.load(inputStream);
        this.lookup = new HashMap(properties);
    }
    
    public PropertyResourceBundle(Reader reader) throws IOException {
        Properties properties = new Properties();
        properties.load(reader);
        this.lookup = new HashMap(properties);
    }
    
    public Object handleGetObject(String s) {
        if (s == null) {
            throw new NullPointerException();
        }
        return this.lookup.get(s);
    }
    
    @Override
    public Enumeration<String> getKeys() {
        ResourceBundle parent = this.parent;
        return new ResourceBundleEnumeration(this.lookup.keySet(), (parent != null) ? parent.getKeys() : null);
    }
    
    @Override
    protected Set<String> handleKeySet() {
        return this.lookup.keySet();
    }
}
